Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.beans.view
Class CockpitBean

    java.lang.Object
      kieker.webgui.web.beans.view.CockpitBean

    @Component
    @Scope(value="view")
    public final class CockpitBean

extends Object

This class is a `Spring` managed bean containing the necessary data behind an instance of the cockpit.
It has view scope to make sure that one user (even in one session) can open multiple projects at a time without causing any problems.

Author:
  Nils Christian Ehmke

Constructor Summary
`CockpitBean()` Creates a new instance of this class.

Method Summary
`kieker.analysis.model.analysisMetaModel.MIView` | `getActiveView()`
`CockpitLayout` | `getCockpitLayout()`
`DisplayType` | `getDisplayType(String displayConnectorName)` Delivers the display type of the given connector name.
`MeterGaugeDisplaySettings` | `getMeterGaugeDisplaySettings(String displayConnectorName)` Delivers the current meter gauge settings container for the given connector name.
`org.primefaces.model.chart.MeterGaugeChartModel` | `getMeterGaugeUpdate(String displayConnectorName)` Delivers a meter gauge update for the given display connector.
`PieChartDisplaySettings` | `getPieChartDisplaySettings(String displayConnectorName)` Delivers the current pie chart settings container for the given connector name.
`org.primefaces.model.chart.PieChartModel` | `getPieChartUpdate(String displayConnectorName)` Delivers a pie chart update for the given display connector.
`String` | `getPlainTextUpdate(String displayConnectorName)` Delivers a plain text update for the given display connector.
`kieker.analysis.model.analysisMetaModel.MIProject` | `getProject()`
`String` | `getProjectName()`
`String` | `getSelectedDisplay()`
`org.primefaces.model.tagcloud.TagCloudModel` | `getTagCloudUpdate(String displayConnectorName)` Delivers a tag cloud update for the given display connector.
`XYPlotDisplaySettings` | `getXYPlotDisplaySettings(String displayConnectorName)` Delivers the current xy plot settings container for the given connector name.
`org.primefaces.model.chart.CartesianChartModel` | `getXYPlotUpdate(String displayConnectorName)` Delivers a line chart update for the given display connector.
`void` | `initalize()` This method initializes the bean by using the current project name to load the project.
`boolean` | `isAnalysisFailed()` Checks whether the analysis is currently in the failed state.
`boolean` | `isAnalysisNotAvailable()` Checks whether the analysis is not available.
`boolean` | `isAnalysisReady()` Checks whether the analysis is currently in the ready state.
`boolean` | `isAnalysisRunning()` Checks whether the analysis is currently running.
`boolean` | `isAnalysisTerminated()` Checks whether the analysis is currently terminated.
`boolean` | `isAnalysisTerminating()` Checks whether the analysis is currently terminating.
`void` | `setActiveView(kieker.analysis.model.analysisMetaModel.MIView activeView)`
`void` | `setProjectName(String newName)`
`void` | `setSelectedDisplay(String selectedDisplay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CockpitBean

    public CockpitBean()

  Creates a new instance of this class. Do not call this constructor manually. It will only be accessed by Spring.

Method Detail

### initalize

    public void initalize()

  This method initializes the bean by using the current project name to load the project. Do not call this method manually. It will only be accessed by Spring.

### getSelectedDisplay

    public String getSelectedDisplay()

### setSelectedDisplay

    public void setSelectedDisplay(String selectedDisplay)

### setActiveView

    public void setActiveView(kieker.analysis.model.analysisMetaModel.MIView activeView)

### getActiveView

    public kieker.analysis.model.analysisMetaModel.MIView getActiveView()

### getCockpitLayout

    public CockpitLayout getCockpitLayout()

### getProject

    public kieker.analysis.model.analysisMetaModel.MIProject getProject()

### setProjectName

    public void setProjectName(String newName)

### getProjectName

    public String getProjectName()

### getMeterGaugeDisplaySettings

    public MeterGaugeDisplaySettings getMeterGaugeDisplaySettings(String displayConnectorName)

  Delivers the current meter gauge settings container for the given connector name. If it does not exist, it will be created.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The settings container for the given display connector.

### getXYPlotDisplaySettings

    public XYPlotDisplaySettings getXYPlotDisplaySettings(String displayConnectorName)

  Delivers the current xy plot settings container for the given connector name. If it does not exist, it will be created.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The settings container for the given display connector.

### getPieChartDisplaySettings

    public PieChartDisplaySettings getPieChartDisplaySettings(String displayConnectorName)

  Delivers the current pie chart settings container for the given connector name. If it does not exist, it will be created.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The settings container for the given display connector.

### getPlainTextUpdate

    public String getPlainTextUpdate(String displayConnectorName)

  Delivers a plain text update for the given display connector.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The current plain text visualization of the given display connector.

### getMeterGaugeUpdate

    public org.primefaces.model.chart.MeterGaugeChartModel getMeterGaugeUpdate(String displayConnectorName)

  Delivers a meter gauge update for the given display connector.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The current meter gauge visualization of the given display connector.

### getTagCloudUpdate

    public org.primefaces.model.tagcloud.TagCloudModel getTagCloudUpdate(String displayConnectorName)

  Delivers a tag cloud update for the given display connector.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The current tag cloud visualization of the given display connector.

### getXYPlotUpdate

    public org.primefaces.model.chart.CartesianChartModel getXYPlotUpdate(String displayConnectorName)

  Delivers a line chart update for the given display connector.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The current line chart visualization of the given display connector.

### getPieChartUpdate

    public org.primefaces.model.chart.PieChartModel getPieChartUpdate(String displayConnectorName)

  Delivers a pie chart update for the given display connector.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The current pie chart visualization of the given display connector.

### getDisplayType

    public DisplayType getDisplayType(String displayConnectorName)

  Delivers the display type of the given connector name. This method returns never null.

  Parameters:
    `displayConnectorName` - The name of the display connector.
  Returns:
    The type of the display connector or `DisplayType.UNKNOWN` if the type could not be detected.

### isAnalysisRunning

    public boolean isAnalysisRunning()

  Checks whether the analysis is currently running.

  Returns:
    true if and only if the analysis is running.

### isAnalysisReady

    public boolean isAnalysisReady()

  Checks whether the analysis is currently in the ready state.

  Returns:
    true if and only if the analysis is ready to be started.

### isAnalysisNotAvailable

    public boolean isAnalysisNotAvailable()

  Checks whether the analysis is not available.

  Returns:
    true if and only if the analysis is not available.

### isAnalysisTerminated

    public boolean isAnalysisTerminated()

  Checks whether the analysis is currently terminated.

  Returns:
    true if and only if the analysis has been terminated.

### isAnalysisTerminating

    public boolean isAnalysisTerminating()

  Checks whether the analysis is currently terminating.

  Returns:
    true if and only if the analysis is currently terminating.

### isAnalysisFailed

    public boolean isAnalysisFailed()

  Checks whether the analysis is currently in the failed state.

  Returns:
    true if and only if the analysis has failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.